package org.processmining.logenhancement.abstraction;

public class PatternStructureException extends Exception {

	private static final long serialVersionUID = 1L;

	public PatternStructureException() {
	}

	public PatternStructureException(String message) {
		super(message);
	}

	public PatternStructureException(Throwable cause) {
		super(cause);
	}

	public PatternStructureException(String message, Throwable cause) {
		super(message, cause);
	}

	public PatternStructureException(String message, Throwable cause, boolean enableSuppression,
			boolean writableStackTrace) {
		super(message, cause, enableSuppression, writableStackTrace);
	}

}
