package org.processmining.logenhancement.enriching;

public enum TimeResolution {
	
	MILLISECONDS(1l), SECONDS(1000l), MINUTES(1000l * 60l), HOURS(1000l * 60l * 60l), DAYS(1000l * 60l * 60l * 24l), YEARS(1000l * 60l * 60l * 24l * 365l);

	//TODO years is a bit wrong ...
	
	private final long factor;

	private TimeResolution(long millisecondFactor) {
		this.factor = millisecondFactor;
	}

	public long getFactor() {
		return factor;
	}

}