package org.processmining.logenhancement.view;

enum GroupingMode {
	TOTAL_ORDER("Group by Sequence") {

		public TraceGroupingFunction createGrouping(LogViewModel logViewModel) {
			return new TraceGroupingFunctionByExactSequence(logViewModel);
		}

	};

	private String description;

	private GroupingMode(String description) {
		this.description = description;
	}

	abstract public TraceGroupingFunction createGrouping(LogViewModel logViewModel);

	@Override
	public String toString() {
		return description;
	}
}