package org.processmining.logenhancement.view;

import javax.swing.JOptionPane;

import org.deckfour.xes.model.XLog;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.log.utils.XUtils;
import org.processmining.plugins.utils.ProvidedObjectHelper;

public class LogViewContextProM extends LogViewContextAbstract {

	private final PluginContext context;

	public LogViewContextProM(PluginContext context) {
		this.context = context;
	}

	@Override
	public void exportLog(XLog log) {
		String proposedName = XUtils.getConceptName(log);
		String groupName = JOptionPane.showInputDialog(null, "Specify the name of the new ProM XLog object!",
				proposedName);

		if (groupName != null) {
			ProvidedObjectHelper.publish(context, groupName != null ? groupName : "Log Export", log, XLog.class, true);
		}

	}

	public PluginContext getContext() {
		return context;
	}

}
